1

I experience a problem with XYtools and need to install Excel libraries for Python. I tried to install them directly from the terminal and it worked on the system, however, how to import them into QGIS? This is how the error looks like:

import xlrd
Traceback (most recent call last):
File "<input>", line 1, in <module>
File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 572, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: No module named xlrd

I tried to install them with pip:

python -m pip install xlwt==1.0.0
Requirement already satisfied (use --upgrade to upgrade): xlwt==1.0.0 in /Users/myname/anaconda/lib/python2.7/site-packages/xlwt-1.0.0-py2.7.egg

When I try to export file as xls from QGIS, the same error persists:

There is a problem with loading a python module which is needed to read/write Excel files. Please see documentation/help how to install python xlw and xlrd libraries.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.